net.corda.core.crypto

## Class DigitalSignature

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.crypto.DigitalSignature

- Direct Known Subclasses:
    DigitalSignature.WithKey

      public class DigitalSignature
      extends OpaqueBytes

  A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isn't used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DigitalSignature.LegallyIdentifiable`
    `static class` | `DigitalSignature.WithKey` A digital signature that identifies who the public key is owned by.

    - ### Nested classes/interfaces inherited from class net.corda.core.serialization.OpaqueBytes

      `OpaqueBytes.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.serialization.OpaqueBytes

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigitalSignature(byte[] bits)` A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isn't used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Constructor Detail

    - #### DigitalSignature

          public DigitalSignature(byte[] bits)

      A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isn't used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.